#ifndef KPRAYERTIMECONFIG_H
#define KPRAYERTIMECONFIG_H

#include <QString>
#include <QSettings>

class KPrayerTimeConfig
{
     public:

        KPrayerTimeConfig();
        ~KPrayerTimeConfig();

        QSettings * m_settings;

        QString m_font_family;

        double m_latitude;
        double m_longitude;
        int m_local_elevation;
        float m_time_zone;
        bool m_dst;
        int m_itl_method;
        bool m_arabic_numerals;
        bool m_arabic_labels;
        int m_TZR;
        int m_error_correction_min;
        int m_error_clock_min;
        int m_zawaal;
        int m_notify_minutes;

        void loadConfig();
        void saveConfig();
};

#endif // KPRAYERTIMECONFIG_H
