/***************************************************************************
    copyright            : (C) 2009 by Abdulhaq Lynch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; Version 2 of the License.               *
 *                                                                         *
 ***************************************************************************/

#ifndef PRAYCONST_H
#define PRAYCONST_H

#include <qmap.h>

#define KPRAYERTIME_VERSION "4.0.1"


const int TZR_EUROPE = 1, TZR_US = 3, TZR_EGYPT = 2, TZR_AUSTRALIA = 4,
               TZR_NEWZEALAND=5, TZR_BRAZIL = 6, TZR_CHILE = 7;

struct LL
{
  double latitude;
  double longitude;
}
;

typedef QMap<QString, LL> QMapRegion;
typedef QMap<QString, QMapRegion*> QMapCountry;
typedef QMap<QString, QMapCountry*> QMapCountries;

extern QMapCountries *KPcountries;

#endif

